import 'package:krow_domain/krow_domain.dart';

/// Repository interface for managing bank accounts.
abstract class BankAccountRepository {
  /// Fetches the list of bank accounts for the current user.
  Future<List<BankAccount>> getAccounts();

  /// adds a new bank account.
  Future<void> addAccount(BankAccount account);
}
